Index: trunk/DOC/TexFiles/Biblio/Biblio.bib
===================================================================
--- trunk/DOC/TexFiles/Biblio/Biblio.bib	(revision 1224)
+++ trunk/DOC/TexFiles/Biblio/Biblio.bib	(revision 1225)
@@ -661,4 +661,15 @@
 }
 
+@ARTICLE{Emile-Geay_Madec_OSD08,
+  author = {J. Emile-Geay and G. Madec},
+  title = {Geothermal heating, diapycnal mixing and the abyssal circulation},
+  journal = {Ocean Sci. Discuss.},
+  year = {2008},
+  volume = {5},
+  pages = {281-325},
+  owner = {gm},
+  timestamp = {2008.07.16}
+}
+
 @PHDTHESIS{Farge1987,
   author = {M. Farge},
@@ -861,4 +872,15 @@
   owner = {gm},
   timestamp = {2007.08.05}
+}
+
+@ARTICLE{Griffies_JPO98,
+  author = {S. M. Griffies},
+  title = {The Gent-McWilliams skew-ﬂux},
+  journal = JPO,
+  year = {1998},
+  volume = {28},
+  pages = {831–841},
+  owner = {gm},
+  timestamp = {2008.06.28}
 }
 
@@ -1054,4 +1076,13 @@
 }
 
+@BOOK{Jerlov_Bk1968,
+  publisher = {Elsevier},
+  year = {1968},
+  author = {N. G. Jerlov},
+  pages = {194pp},
+  owner = {gm},
+  timestamp = {2008.08.31}
+}
+
 @INPROCEEDINGS{Killworth1989,
   author = {P. D. Killworth},
@@ -1157,5 +1188,5 @@
 }
 
-@ARTICLE{large1994,
+@ARTICLE{Large_al_RG94,
   author = {W. G. Large and J. C. McWilliams and S. C. Doney},
   title = {Oceanic vertical mixing - a review and a model with a nonlocal boundary
@@ -1311,4 +1342,15 @@
 }
 
+@BOOK{Madec_Bk08,
+  title = {NEMO ocean engine},
+  publisher = {Note du P\^ole de mod\'{e}lisation, Institut Pierre- 
+	
+	Simon Laplace (IPSL), France, No 27, ISSN No 1288-1619},
+  year = {2008},
+  author = {G. Madec},
+  owner = {gm},
+  timestamp = {2008.07.05}
+}
+
 @PHDTHESIS{Madec1990,
   author = {G. Madec},
@@ -1456,4 +1498,16 @@
   volume = {3},
   pages = {1-20}
+}
+
+@BOOK{MIT-GCM_2004,
+  title = {MIT-gcm User Manual},
+  year = {2004},
+  editor = {MIT Department of EAPS},
+  author = {J. Marshall and A. Adcroft and J.-M. Campin and P. Heimbach and A.
+	Molod and S. Dutkiewicz and H. Hill and M. Losch and B. Fox-Kemper
+	and D. Menemenlis and D. Ferreira and E. Hill and M. Follows and
+	C. Hill and C. Evangelinos and G. Forget},
+  owner = {gm},
+  timestamp = {2008.07.04}
 }
 
@@ -2085,4 +2139,19 @@
 }
 
+@ARTICLE{Timmermann_al_OM05,
+  author = {R. Timmermann and H. Goosse and G. Madec and T. Fichefet, and C.
+	Ethe and V. Duli\`{e}re},
+  title = {On the representation of high latitude processes in the ORCA-LIM
+	global coupled 
+	
+	sea ice-ocean model.},
+  journal = {Ocean Modelling},
+  year = {2005},
+  volume = {8},
+  pages = {175–201},
+  owner = {gm},
+  timestamp = {2008.07.05}
+}
+
 @ARTICLE{Treguier1992,
   author = {A.M. Tr\'{e}guier},
@@ -2170,4 +2239,16 @@
   year = {2000},
   number = {TR/CMGC/00-10}
+}
+
+@ARTICLE{Vancoppenolle_al_OM08,
+  author = {M. Vancoppenolle and T. Fichefet and H. Goosse and S. Bouillon and
+	G. Madec and M. A. Morales Maqueda},
+  title = {Simulating the mass balance and salinity of Arctic and Antarctic
+	sea ice. 1. Model description and validation},
+  journal = {Ocean Modelling},
+  year = {2008},
+  volume = {in press},
+  owner = {gm},
+  timestamp = {2008.07.05}
 }
 
Index: trunk/DOC/TexFiles/Chapters/Chap_MISC.tex
===================================================================
--- trunk/DOC/TexFiles/Chapters/Chap_MISC.tex	(revision 1224)
+++ trunk/DOC/TexFiles/Chapters/Chap_MISC.tex	(revision 1225)
@@ -54,6 +54,6 @@
 \label{MISC_strait_cla}
 
-%--------------------------------------------namcro--------------------------------------------------------
-\namdisplay{namcro} 
+%--------------------------------------------namcla--------------------------------------------------------
+\namdisplay{namcla} 
 %--------------------------------------------------------------------------------------------------------------
 
@@ -192,6 +192,6 @@
 \section{Model Optimisation, Control Print and Benchmark}
 \label{MISC_opt}
-%--------------------------------------------namdom-------------------------------------------------------
-\namdisplay{nam_ctl} 
+%--------------------------------------------namctl-------------------------------------------------------
+\namdisplay{namctl} 
 %--------------------------------------------------------------------------------------------------------------
 
Index: trunk/DOC/TexFiles/Chapters/Chap_TRA.tex
===================================================================
--- trunk/DOC/TexFiles/Chapters/Chap_TRA.tex	(revision 1224)
+++ trunk/DOC/TexFiles/Chapters/Chap_TRA.tex	(revision 1225)
@@ -960,6 +960,6 @@
 		{Tracer damping (\mdl{tradmp})}
 \label{TRA_dmp}
-%--------------------------------------------namdmp-----------------------------------------------------
-\namdisplay{namdmp}
+%--------------------------------------------namtdp-----------------------------------------------------
+\namdisplay{namtdp}
 %--------------------------------------------------------------------------------------------------------------
 
Index: trunk/DOC/TexFiles/Chapters/Chap_ZDF.tex
===================================================================
--- trunk/DOC/TexFiles/Chapters/Chap_ZDF.tex	(revision 1224)
+++ trunk/DOC/TexFiles/Chapters/Chap_ZDF.tex	(revision 1225)
@@ -108,5 +108,5 @@
 
 %--------------------------------------------namtke---------------------------------------------------------
-\namdisplay{nam_tke}
+\namdisplay{namtke}
 %--------------------------------------------------------------------------------------------------------------
 
Index: trunk/DOC/TexFiles/Chapters/Introduction.tex
===================================================================
--- trunk/DOC/TexFiles/Chapters/Introduction.tex	(revision 1224)
+++ trunk/DOC/TexFiles/Chapters/Introduction.tex	(revision 1225)
@@ -72,5 +72,5 @@
 space and time variable coefficient \citet{Treguier1997}. The model has vertical harmonic 
 viscosity and diffusion with a space and time variable coefficient, with options to compute 
-the coefficients with \citet{Blanke1993}, \citet{Large1994}, or \citet{PacPhil1981} mixing 
+the coefficients with \citet{Blanke1993}, \citet{Large_al_RG94}, or \citet{PacPhil1981} mixing 
 schemes.
 
Index: trunk/DOC/TexFiles/Namelist/nam_ctl
===================================================================
--- trunk/DOC/TexFiles/Namelist/nam_ctl	(revision 1224)
+++ 	(revision )
@@ -1,16 +1,0 @@
-!-----------------------------------------------------------------------
-&nam_ctl      !   Control prints & Benchmark
-!-----------------------------------------------------------------------
-   ln_ctl =  .false.       !  trends control print (expensive!)
-   nprint =       0        !  level of print (0 no print)
-   nictls =       0        !  start i indice to make the control SUM (very usefull to compare mono-
-   nictle =       0        !  end   i indice to make the control SUM (-versus multi processor runs)
-   njctls =       0        !  start j indice to make the control SUM (very usefull to compare mono-
-   njctle =       0        !  end   j indice to make the control SUM (-versus multi processor runs)
-   isplt  =       1        !  number of processors following i
-   jsplt  =       1        !  number of processors following j
-   nbench =       0        !  = 1 Bench run (no physical meaning)
-                           !  = 0 Standard simulation
-   nbit_cmp =     0        !  = 1 enables bit comparison between mono and mpp runs
-                           !  = 0 faster mpp run 
-/
Index: trunk/DOC/TexFiles/Namelist/nam_dynadv
===================================================================
--- trunk/DOC/TexFiles/Namelist/nam_dynadv	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/nam_dynadv	(revision 1225)
@@ -1,7 +1,7 @@
 !-----------------------------------------------------------------------
-&nam_dynadv  !   option of physics/algorithm (not control by CPP keys)
-!----------------------------------------------------------------------- 
-   ln_dynadv_vec   = .TRUE.    !  vector form (T) flux form (F)
-   ln_dynadv_cen2  = .FALSE.   !  flux form - 2nd order centered scheme
-   ln_dynadv_ubs   = .FALSE.   !  flux form - 3rd order UBS scheme   
+&nam_dynadv    !   formulation of the momentum advection
+!-----------------------------------------------------------------------
+   ln_dynadv_vec = .true.  !  vector form (T) or flux form (F)  
+   ln_dynadv_cen2= .false. !  flux form - 2nd order centered scheme
+   ln_dynadv_ubs = .false. !  flux form - 3rd order UBS      scheme 
 /  
Index: trunk/DOC/TexFiles/Namelist/nam_dynhpg
===================================================================
--- trunk/DOC/TexFiles/Namelist/nam_dynhpg	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/nam_dynhpg	(revision 1225)
@@ -1,12 +1,12 @@
 !-----------------------------------------------------------------------
-&nam_dynhpg   !   Hydrostatic pressure gradient option
+&nam_dynhpg    !   Hydrostatic pressure gradient option
 !-----------------------------------------------------------------------
-   ln_hpg_zco = .false.       !  z-coordinate - full steps                   
-   ln_hpg_zps = .true.        !  z-coordinate - partial steps (interpolation)
-   ln_hpg_sco = .false.       !  s-coordinate (standard jacobian formulation)
-   ln_hpg_hel = .false.       !  s-coordinate (helsinki modification)
-   ln_hpg_wdj = .false.       !  s-coordinate (weighted density jacobian)
-   ln_hpg_djc = .false.       !  s-coordinate (Density Jacobian with Cubic polynomial)
-   ln_hpg_rot = .false.       !  s-coordinate (ROTated axes scheme)
-   gamm       = 0.e0          !  weighting coefficient (wdj scheme)
+   ln_hpg_zco  = .false.   !  z-coordinate - full steps                   
+   ln_hpg_zps  = .true.    !  z-coordinate - partial steps (interpolation)
+   ln_hpg_sco  = .false.   !  s-coordinate (standard jacobian formulation)
+   ln_hpg_hel  = .false.   !  s-coordinate (helsinki modification)
+   ln_hpg_wdj  = .false.   !  s-coordinate (weighted density jacobian)
+   ln_hpg_djc  = .false.   !  s-coordinate (Density Jacobian with Cubic polynomial)
+   ln_hpg_rot  = .false.   !  s-coordinate (ROTated axes scheme)
+   gamm        = 0.e0      !  weighting coefficient (wdj scheme)
 /
Index: trunk/DOC/TexFiles/Namelist/nam_dynldf
===================================================================
--- trunk/DOC/TexFiles/Namelist/nam_dynldf	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/nam_dynldf	(revision 1225)
@@ -1,17 +1,14 @@
 !-----------------------------------------------------------------------
-&nam_dynldf   !   lateral diffusion on momentum
+&nam_dynldf    !   lateral diffusion on momentum
 !-----------------------------------------------------------------------
-   !                             !  Type of the operator : 
-   ln_dynldf_lap    =  .true.    !     laplacian operator          
-   ln_dynldf_bilap  =  .false.   !     bilaplacian operator       
-                                 !  Direction of action  : 
-   ln_dynldf_level  =  .false.   !     iso-level                  
-   ln_dynldf_hor    =  .true.    !     horizontal  (+ "key_ldfslp" if ln_sco=T)
-   ln_dynldf_iso    =  .false.   !     iso-neutral (+ "key_ldfslp")
-   !                             !  Coefficient
-   !  "key_ldfdyn_c1d"           !     Ahm = F(k)
-   !  "key_ldfdyn_c2d"           !     Ahm = F(i,j)
-   !  "key_ldfdyn_c3d"           !     Ahm = F(i,j,k)
-   ahm0    = 40000.              !     horizontal eddy viscosity for the dynamics (m2/s)
-   ahmb0   =     0.              !     background eddy viscosity for isopycnal diffusion (m2/s)
+!                               !  Type of the operator : 
+   ln_dynldf_lap    =  .true.   !     laplacian operator         
+   ln_dynldf_bilap  =  .false.  !     bilaplacian operator    
+!                               !  Direction of action  : 
+   ln_dynldf_level  =  .false.  !     iso-level               
+   ln_dynldf_hor    =  .true.   !     horizontal (geopotential)        (require "key_ldfslp" in s-coord.)
+   ln_dynldf_iso    =  .false.  !     iso-neutral                      (require "key_ldfslp")
+                                !  Coefficient
+   ahm0    = 40000.             !     horizontal eddy viscosity   [m2/s]
+   ahmb0   =     0.             !     background eddy viscosity for ldf_iso [m2/s]
 /
Index: trunk/DOC/TexFiles/Namelist/nam_dynspg
===================================================================
--- trunk/DOC/TexFiles/Namelist/nam_dynspg	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/nam_dynspg	(revision 1225)
@@ -1,9 +1,9 @@
 !-----------------------------------------------------------------------
-&nam_dynspg   !   surface pressure gradient   (CPP key only)
+!nam_dynspg    !   surface pressure gradient   (CPP key only)
 !-----------------------------------------------------------------------
-!  "key_vvl"                     !  Activate the variable volume level
-!  "key_dynspg_exp"              !  explicit free surface              
-!  "key_dynspg_flt"              !  filtered free surface           
-!  "key_dynspg_ts"               !  split-explicit free surface    
-!  "key_dynspg_rl"               !  rigid-lid                  
+!                          !  Non-linear free surface                   ("key_vvl")
+!                          !  explicit free surface                     ("key_dynspg_exp")
+!                          !  filtered free surface                     ("key_dynspg_flt")
+!                          !  split-explicit free surface               ("key_dynspg_ts")
+!                          !  rigid-lid                                 ("key_dynspg_rl")
 /
Index: trunk/DOC/TexFiles/Namelist/nam_dynvor
===================================================================
--- trunk/DOC/TexFiles/Namelist/nam_dynvor	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/nam_dynvor	(revision 1225)
@@ -1,8 +1,8 @@
 !-----------------------------------------------------------------------
-&nam_dynvor   !   option of physics/algorithm 
+&nam_dynvor    !   option of physics/algorithm (not control by CPP keys)
 !-----------------------------------------------------------------------
-   ln_dynvor_ene = .false.    !  enstrophy conserving scheme 
-   ln_dynvor_ens = .true.     !  energy conserving scheme   
-   ln_dynvor_mix = .false.    !  mixed energy/enstrophy conserving scheme               
-   ln_dynvor_een = .false.    !  energy and enstrophy scheme   
+   ln_dynvor_ene = .false. !  enstrophy conserving scheme  
+   ln_dynvor_ens = .true.  !  energy conserving scheme    
+   ln_dynvor_mix = .false. !  mixed scheme               
+   ln_dynvor_een = .false. !  energy & enstrophy scheme  
 /
Index: trunk/DOC/TexFiles/Namelist/nam_lbc
===================================================================
--- trunk/DOC/TexFiles/Namelist/nam_lbc	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/nam_lbc	(revision 1225)
@@ -1,9 +1,8 @@
 !-----------------------------------------------------------------------
-&namlbc   !   lateral momentum boundary condition
+&namlbc        !   lateral momentum boundary condition
 !-----------------------------------------------------------------------
-! "key_noslip_accurate"    ! Activate accurate no-slip boundary condition
-   shlat  =      2.        !      shlat = 0 :           free slip
-                           !  0 < shlat < 2 : "partial" free-slip
-                           !      shlat = 2 :           no slip
-                           !  2 < shlat     : "strong"  no-slip
+   shlat       =    2.     !      shlat = 0 : free slip
+                           !  0 < shlat < 2 : partial slip
+                           !      shlat = 2 : no slip
+                           !  2 < shlat     : strong slip
 /
Index: trunk/DOC/TexFiles/Namelist/nam_mpp
===================================================================
--- trunk/DOC/TexFiles/Namelist/nam_mpp	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/nam_mpp	(revision 1225)
@@ -1,6 +1,7 @@
 !-----------------------------------------------------------------------
-&nam_mpp      !   Massively Parallel Processing
+&nam_mpp      !   Massively Parallel Processing                         ("key_mpp_mpi)
 !-----------------------------------------------------------------------
    c_mpi_send =  'S'       !  mpi send/recieve type   ='S', 'B', or 'I' for standard send,
                            !  buffer blocking send or immediate non-blocking sends, resp.
+   nn_buffer  =   0        !  size in bytes of exported buffer ('B' case), 0 no exportation
 /
Index: trunk/DOC/TexFiles/Namelist/nam_mpp_dyndist
===================================================================
--- trunk/DOC/TexFiles/Namelist/nam_mpp_dyndist	(revision 1225)
+++ trunk/DOC/TexFiles/Namelist/nam_mpp_dyndist	(revision 1225)
@@ -0,0 +1,7 @@
+!-----------------------------------------------------------------------
+&nam_mpp_dyndist !   Massively Parallel Distribution                    ("key_agrif" && "key_mpp_dyndist")
+!-----------------------------------------------------------------------
+   jpni       =    1       !  jpni   number of processors following i
+   jpnj       =    1       !  jpnj   number of processors following j
+   jpnij      =    1       !  jpnij  number of local domains
+/
Index: trunk/DOC/TexFiles/Namelist/nam_tke
===================================================================
--- trunk/DOC/TexFiles/Namelist/nam_tke	(revision 1224)
+++ 	(revision )
@@ -1,25 +1,0 @@
-!-----------------------------------------------------------------------
-&namtke   !   turbulent eddy kinetic dependent vertical diffusion       
-!-----------------------------------------------------------------------
-!  "key_zdftke"               !  Activate the TKE physics
-   ln_rstke = .false.         !  restart with tke from a run without tke
-   nitke =        50          !  number of restart iterative loops
-   ediff =       0.1          !  coef. for avt (avt=ediff*mxl*sqrt(e))
-   ediss =       0.7          !  coef. for Kolmogoroff dissipation
-   ebb   =      3.75          !  coef. for surface input of tke
-   efave =        1.          !  coef. for enhance Kz on tke (avtke=efave*avm)
-   emin  =     1.e-6          !  background value of tke (m^2/s^2)
-   emin0 =     1.e-4          !  surface minimum value of tke (m^2/s^2)
-!! ri_c  =         0.22222222 !  critic richardson number (default = 2/9)
-   nmxl  =         2          !  mixing length type  
-   !                          !    = 0 bounded by the distance to surface & bottom
-   !                          !    = 1 bounded by the local vertical scale factor
-   !                          !    = 2 abs( dz(mxl) /e3 ) < 1
-   !                          !    = 3 same as 2 with ldiss /= lmix
-   npdl  =         1          !  prandtl number 
-   !                          !    = 0 no vertical prandtl number (avt=avm)
-   !                          !    = 1 prandtl number = F(Ri) (avt=pdl*avm)
-   !                          !    = 2 same as =1 but with a shapiro filter on pdl
-   nave  =         1          !  horizontal filter on avt and amv (=1) or not (=0)
-   navb  =         0          !  constant (=0) or profile (=1) background on avt
-/
Index: trunk/DOC/TexFiles/Namelist/nam_traadv
===================================================================
--- trunk/DOC/TexFiles/Namelist/nam_traadv	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/nam_traadv	(revision 1225)
@@ -1,9 +1,9 @@
 !-----------------------------------------------------------------------
-&nam_traadv   !   advection scheme for tracer 
+&nam_traadv    !   advection scheme for tracer 
 !-----------------------------------------------------------------------
-   ln_traadv_cen2   =  .true.    !  2nd order centered scheme    
-   ln_traadv_tvd    =  .false.   !  TVD scheme                  
-   ln_traadv_muscl  =  .false.   !  MUSCL scheme               
-   ln_traadv_muscl2 =  .false.   !  MUSCL2 scheme              
-   ln_traadv_ubs    =  .false.   !  UBS scheme                
+   ln_traadv_cen2   =  .true.   !  2nd order centered scheme   
+   ln_traadv_tvd    =  .false.  !  TVD scheme                
+   ln_traadv_muscl  =  .false.  !  MUSCL scheme             
+   ln_traadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries  
+   ln_traadv_ubs    =  .false.  !  UBS scheme                 
 /
Index: trunk/DOC/TexFiles/Namelist/nam_traldf
===================================================================
--- trunk/DOC/TexFiles/Namelist/nam_traldf	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/nam_traldf	(revision 1225)
@@ -1,19 +1,15 @@
 !-----------------------------------------------------------------------
-&nam_traldf   !   lateral diffusion scheme for tracer 
+&nam_traldf    !   lateral diffusion scheme for tracer 
 !-----------------------------------------------------------------------
-                                 !  Type of the operator : 
-   ln_traldf_lap    =  .true.    !     laplacian operator        
-   ln_traldf_bilap  =  .false.   !     bilaplacian operator      
-                                 !  Direction of action  :
-   ln_traldf_level  =  .false.   !     iso-level                  
-   ln_traldf_hor    =  .false.   !     horizontal  (+ "key_ldfslp" if ln_sco=T)
-   ln_traldf_iso    =  .true.    !     iso-neutral (+ "key_ldfslp")
-                                 !  Coefficient
-   !  "key_ldftra_c1d"           !     Aht = F(k)
-   !  "key_ldftra_c2d"           !     Aht = F(i,j)
-   !  "key_ldftra_c3d"           !     Aht = F(i,j,k)
-   aht0    =  2000.              !     lateral eddy diffusivity coef. (m2/s)
-   ahtb0   =     0.              !     background coef. for isopycnal diffusion (m2/s)
-   aeiv0   =  2000.              !     eddy induced velocity coefficient (m2/s)  
-   !                             !     (+ "key_traldf_eiv")
+!                               !  Type of the operator : 
+   ln_traldf_lap    =  .true.   !     laplacian operator       
+   ln_traldf_bilap  =  .false.  !     bilaplacian operator     
+                                !  Direction of action  :
+   ln_traldf_level  =  .false.  !     iso-level                
+   ln_traldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
+   ln_traldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
+!                               !  Coefficient
+   aht0        =  2000.         !     horizontal eddy diffusivity for tracers [m2/s]
+   ahtb0       =     0.         !     background eddy diffusivity for ldf_iso [m2/s]
+   aeiv0       =  2000.         !     eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
 /
Index: trunk/DOC/TexFiles/Namelist/nam_zgr
===================================================================
--- trunk/DOC/TexFiles/Namelist/nam_zgr	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/nam_zgr	(revision 1225)
@@ -2,7 +2,6 @@
 &nam_zgr       !   vertical coordinate
 !-----------------------------------------------------------------------
-   ln_zco   =  .false.     !   z-coordinate - full    steps  
-   !                       !       ("key_zco" may also be defined)
-   ln_zps   =  .true.      !  z-coordinate - partial steps   
-   ln_sco   =  .false.     !  s- or hybrid z-s-coordinate   
+   ln_zco      = .false.   !  z-coordinate - full    steps   (T/F)      ("key_zco" may also be defined)
+   ln_zps      = .true.    !  z-coordinate - partial steps   (T/F)
+   ln_sco      = .false.   !  s- or hybrid z-s-coordinate    (T/F)
 /
Index: trunk/DOC/TexFiles/Namelist/nam_zgr_sco
===================================================================
--- trunk/DOC/TexFiles/Namelist/nam_zgr_sco	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/nam_zgr_sco	(revision 1225)
@@ -2,9 +2,8 @@
 &nam_zgr_sco   !   s-coordinate or hybrid z-s-coordinate
 !-----------------------------------------------------------------------
-   sbot_min =  300.        !  minimum depth of s-bottom surface (>0) (m)
-   sbot_max = 5250.        !  maximum depth of s-bottom surface (>0) (m)
-   !                       !  (= maximum ocean depth allowed) 
-   theta    =    6.0       !  surface control parameter (0<=theta<=20)
-   thetb    =    0.75      !  bottom control parameter  (0<=thetb<= 1)
-   r_max    =    0.15      !  maximum cut-off r-value allowed (0<r_max<1)
+   sbot_min    =  300.     !  minimum depth of s-bottom surface (>0) (m)
+   sbot_max    = 5250.     !  maximum depth of s-bottom surface (= ocean depth) (>0) (m)
+   theta       =    6.0    !  surface control parameter (0<=theta<=20)
+   thetb       =    0.75   !  bottom control parameter  (0<=thetb<= 1)
+   r_max       =    0.15   !  maximum cut-off r-value allowed (0<r_max<1)
 /
Index: trunk/DOC/TexFiles/Namelist/namagrif
===================================================================
--- trunk/DOC/TexFiles/Namelist/namagrif	(revision 1225)
+++ trunk/DOC/TexFiles/Namelist/namagrif	(revision 1225)
@@ -0,0 +1,8 @@
+!-----------------------------------------------------------------------
+&namagrif      !                                                        ("key_agrif")
+!-----------------------------------------------------------------------
+    nbclineupdate = 3      !  baroclinic update frequency
+    ln_spc_dyn    = .true. !  use 0 as special value for dynamics
+    visc_tra      = 2880.  !  viscosity coeeficient for tracers sponge layer
+    visc_dyn      = 2880.  !  viscosity coeeficient for dynamics sponge layer
+/
Index: trunk/DOC/TexFiles/Namelist/nambbc
===================================================================
--- trunk/DOC/TexFiles/Namelist/nambbc	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/nambbc	(revision 1225)
@@ -1,10 +1,8 @@
 !-----------------------------------------------------------------------
-&nambbc   !   bottom boundary condition (on temperature only)                 
+&nambbc        !   bottom temperature boundary condition
 !-----------------------------------------------------------------------
-!  "key_trabbc"               ! Activate geothermal forcing (bbc)
-   ngeo_flux =  2             !  = 0 no geothermal heat flux
-   !                          !  = 1 constant geothermal heat flux
-   !                          !  = 2 variable geothermal heat flux 
-   !                          !      (read in geothermal_heating.nc in mW/m2) 
-   ngeo_flux_const = 86.4e-3  !  Constant value of geothermal heat flux (W/m2)
+   ngeo_flux   =    2      !  geothermal heat flux = 0 no flux considered 
+                           !                       = 1 constant flux
+                           !                       = 2 variable flux (read in geothermal_heating.nc in mW/m2) 
+   ngeo_flux_const = 86.4e-3  !  Constant value of geothermal heat flux [W/m2]
 /
Index: trunk/DOC/TexFiles/Namelist/nambbl
===================================================================
--- trunk/DOC/TexFiles/Namelist/nambbl	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/nambbl	(revision 1225)
@@ -1,7 +1,7 @@
 !-----------------------------------------------------------------------
-&nam_trabbl   !   bottom boundary layer scheme                          
+&nambbl        !   bottom boundary layer scheme
 !-----------------------------------------------------------------------
-!  "key_trabbl_dif"              !  Activate the diffusive bbl 
-!  "key_trabbl_adv"              !  Activate the advective bbl 
-   atrbbl = 10000.               !  lateral tracer coeff. for bbl scheme (m2/s)
+!                          !  diffusive bbl                             ("key_trabbl")
+!                          !  advective bbl                             ("key_trabbl_adv")
+   atrbbl      =  10000.   !  lateral mixing coefficient in the bbl  [m2/s]
 /
Index: trunk/DOC/TexFiles/Namelist/nambdy
===================================================================
--- trunk/DOC/TexFiles/Namelist/nambdy	(revision 1225)
+++ trunk/DOC/TexFiles/Namelist/nambdy	(revision 1225)
@@ -0,0 +1,20 @@
+!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries parameters               ("key_bdy")
+!-----------------------------------------------------------------------
+    filbdy_mask    =  ''                  !  name of mask file (if ln_bdy_mask=.TRUE.)
+    filbdy_data_T  = 'bdydata_grid_T.nc'  !  name of data file (T-points)
+    filbdy_data_U  = 'bdydata_grid_U.nc'  !  name of data file (U-points)
+    filbdy_data_V  = 'bdydata_grid_V.nc'  !  name of data file (V-points)
+    ln_bdy_clim    = .false.              !  contain 1 (T) or 12 (F) time dumps and be cyclic
+    ln_bdy_vol     = .true.               !  total volume correction (see volbdy parameter)
+    ln_bdy_mask    = .false.              !  boundary mask from filbdy_mask (T) or boundaries are on edges of domain (F)
+    ln_bdy_tides   = .true.               !  Apply tidal harmonic forcing with Flather condition
+    ln_bdy_dyn_fla = .true.               !  Apply Flather condition to velocities
+    ln_bdy_tra_frs = .false.              !  Apply FRS condition to temperature and salinity 
+    ln_bdy_dyn_frs = .false.              !  Apply FRS condition to velocities
+    nbdy_dta       =  1                   !  = 0, bdy data are equal to the initial state
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    nb_rimwidth    = 9                    !  width of the relaxation zone
+    volbdy         = 0                    !  = 0, the total water flux across open boundaries is zero
+                                          !  = 1, the total volume of the system is conserved
+/
Index: trunk/DOC/TexFiles/Namelist/nambfr
===================================================================
--- trunk/DOC/TexFiles/Namelist/nambfr	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/nambfr	(revision 1225)
@@ -1,10 +1,9 @@
 !-----------------------------------------------------------------------
-&nambfr   !   bottom friction
+&nambfr        !   bottom friction
 !-----------------------------------------------------------------------
-   nbotfr =       1        !  type of bottom friction 
-   !                       !   = 0 : no slip        ,  = 2 : nonlinear friction
-                           !   = 1 : linear friction,  = 3 : free slip
-   bfri1  =   4.e-4        !  bottom drag coefficient (linear case)
-   bfri2  =   1.e-3        !  bottom drag coefficient (non linear case)
-   bfeb2  =  2.5e-3        !  bottom tke background (m^2/s^2)
+   nbotfr      =    1      !  type of bottom friction :   = 0 : no   slip,  = 2 : nonlinear friction
+                           !                              = 3 : free slip,  = 1 :    linear friction
+   bfri1       =    4.e-4  !  bottom drag coefficient (linear case)
+   bfri2       =    1.e-3  !  bottom drag coefficient (non linear case)
+   bfeb2       =    2.5e-3 !  bottom turbulent kinetic energy background  (m^2/s^2)
 /
Index: trunk/DOC/TexFiles/Namelist/namcla
===================================================================
--- trunk/DOC/TexFiles/Namelist/namcla	(revision 1225)
+++ trunk/DOC/TexFiles/Namelist/namcla	(revision 1225)
@@ -0,0 +1,5 @@
+!-----------------------------------------------------------------------
+&namcla        !   cross land advection
+!-----------------------------------------------------------------------
+   n_cla       =    1      !  advection between 2 ocean pts separates by land
+/
Index: trunk/DOC/TexFiles/Namelist/namcpl
===================================================================
--- trunk/DOC/TexFiles/Namelist/namcpl	(revision 1224)
+++ 	(revision )
@@ -1,4 +1,0 @@
-!-----------------------------------------------------------------------
-&namcpl   !   coupled ocean/atmosphere model                            ("key_coupled")
-!-----------------------------------------------------------------------
-/
Index: trunk/DOC/TexFiles/Namelist/namcro
===================================================================
--- trunk/DOC/TexFiles/Namelist/namcro	(revision 1224)
+++ 	(revision )
@@ -1,6 +1,0 @@
-!-----------------------------------------------------------------------
-&namcro   !   cross land advection
-!-----------------------------------------------------------------------
-!  n_cla   advection between 2 ocean pts separates by land 
-   n_cla   = 1
-/
Index: trunk/DOC/TexFiles/Namelist/namctl
===================================================================
--- trunk/DOC/TexFiles/Namelist/namctl	(revision 1225)
+++ trunk/DOC/TexFiles/Namelist/namctl	(revision 1225)
@@ -0,0 +1,16 @@
+!-----------------------------------------------------------------------
+&namctl       !   Control prints & Benchmark
+!-----------------------------------------------------------------------
+   ln_ctl     = .false.    !  trends control print (expensive!)
+   nprint     =    0       !  level of print (0 no extra print)
+   nictls     =    0       !  start i indice of control sum (use to compare mono versus
+   nictle     =    0       !  end   i indice of control sum        multi processor runs
+   njctls     =    0       !  start j indice of control               over a subdomain)
+   njctle     =    0       !  end   j indice of control 
+   isplt      =    1       !  number of processors in i-direction
+   jsplt      =    1       !  number of processors in j-direction
+   nbench     =    0       !  Bench mode (1/0): CAUTION use zero except for bench
+                           !     (no physical validity of the results)
+   nbit_cmp   =    0       !  bit comparison mode (1/0): CAUTION use zero except for test
+                           !     of comparison between single and multiple processor runs
+/
Index: trunk/DOC/TexFiles/Namelist/namddm
===================================================================
--- trunk/DOC/TexFiles/Namelist/namddm	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namddm	(revision 1225)
@@ -1,7 +1,6 @@
 !-----------------------------------------------------------------------
-&namddm   !   double diffusive mixing parameterization                  
+&namddm        !   double diffusive mixing parameterization                  ("key_zdfddm")
 !-----------------------------------------------------------------------
-!     "key_zdfddm"            !  Activate ddm phisics
-      avts  = 1.e-4           !  maximum avs (vertical mixing on salinity)
-      hsbfr = 1.6             !  heat/salt buoyancy flux ratio
+      avts     = 1.e-4     !  maximum avs (vertical mixing on salinity)
+      hsbfr    = 1.6       !  heat/salt buoyancy flux ratio
 /
Index: trunk/DOC/TexFiles/Namelist/namdmp
===================================================================
--- trunk/DOC/TexFiles/Namelist/namdmp	(revision 1224)
+++ 	(revision )
@@ -1,17 +1,0 @@
-!-----------------------------------------------------------------------
-&namdmp   tracer newtonian damping ('key_tradmp')
-!-----------------------------------------------------------------------
-   ndmp   =   -1                 !  type of damping in temperature and salinity 
-   !                             !     ='latitude', damping poleward of 'ndmp' degrees 
-   !                             !       and function of the distance-to-coast. 
-   !                             !       Red and Med Seas as ndmp=-1
-   !                             !     =-1 damping only in Med and Red Seas
-   ndmpf  =    1                 !  =1 create a damping.coeff NetCDF file
-   nmldmp =    1                 !  type of damping in the mixed layer
-   !                             !     =0 damping throughout the water column
-   !                             !     =1 no damping in the mixing layer (avt >5cm2/s )
-   !                             !     =2 no damping in the mixed  layer (rho<rho(surf)+.01 )
-   sdmp   =  50.                 !  surface time scale for internal damping (days)
-   bdmp   = 360.                 !  bottom  time scale for internal damping (days)
-   hdmp   = 800.                 !  depth of transition between sdmp and bdmp (meters)
-/
Index: trunk/DOC/TexFiles/Namelist/namdom
===================================================================
--- trunk/DOC/TexFiles/Namelist/namdom	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namdom	(revision 1225)
@@ -1,21 +1,18 @@
 !-----------------------------------------------------------------------
-&namdom   !   space and time domain (bathymetry, mesh, timestep)
+&namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   ntopo     =     1       !  = 1 read the bathymetry_level 
-   e3zps_min =     5.      !  minimum thickness of the partial step is the min of
-   e3zps_rat =     0.1     !  e3zps_min and e3zps_rat * e3t  (with 0<e3zps_rat<1)
-   nmsh      =     0       !  =1 create a mesh file (coordinates, scale factors, masks)
-   nacc      =     0       !  the acceleration of convergence method
-   !                       !     = 0, no acceleration, rdt = rdttra
-   !                       !     = 1, acceleration used, rdt < rdttra(k)
-   atfp      =     0.1     !  asselin time filter parameter
-   rdt       =  5760.      !  time step for the dynamics (and tracer if nacc=0)
-   rdtmin    =  5760.      !  minimum time step on tracers
-   rdtmax    =  5760.      !  maximum time step on tracers
-   rdth      =   800.      !  depth variation of tracer time step
-   rdtbt     =    90.      !  barotropic time step (for the time splitting algorithm)
-   nfice     =     5       !  frequency of ice model call
-   nfbulk    =     5       !  frequency of bulk formulea call (not used if ice used)
-   nclosea   =     0       !  = 0 no closed sea in the model domain
-!                          !  = 1 closed sea (Caspian Sea, Great US Lakes...) 
+   ntopo       =    1      !  compute (=0) or read(=1) the bathymetry file
+   e3zps_min   =    5.     !  the thickness of the partial step is set larger than the minimum
+   e3zps_rat   =    0.1    !  of e3zps_min and e3zps_rat * e3t   (N.B. 0<e3zps_rat<1)
+   nmsh        =    0      !  create (=1) a mesh file (coordinates, scale factors, masks) or not (=0)
+   nacc        =    0      !  =1 acceleration of convergence method used, rdt < rdttra(k)
+                           !  =0, no acceleration, rdt = rdttra
+   atfp        =    0.1    !  asselin time filter parameter
+   rdt         = 5760.     !  time step for the dynamics (and tracer if nacc=0)
+   rdtmin      = 5760.     !  minimum time step on tracers (used if nacc=1)
+   rdtmax      = 5760.     !  maximum time step on tracers (used if nacc=1)
+   rdth        =  800.     !  depth variation of tracer time step  (used if nacc=1)
+   rdtbt       =   90.     !  barotropic time step (for the split explicit algorithm) ("key_dynspg_ts")
+   nclosea     =    0      !  = 0 no closed sea in the model domain
+                           !  = 1 closed sea (Black Sea, Caspian Sea, Great US Lakes...) 
 /
Index: trunk/DOC/TexFiles/Namelist/nameos
===================================================================
--- trunk/DOC/TexFiles/Namelist/nameos	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/nameos	(revision 1225)
@@ -1,10 +1,10 @@
 !-----------------------------------------------------------------------
-&nameos   !   ocean physical parameters
+&nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
-   neos   =      0         !  type of equation of state and Brunt-Vaisala frequency
-                           !     = 0, Jackett and McDougall (1994) and of McDougall (1987)
+   neos        =    0      !  type of equation of state and Brunt-Vaisala frequency
+                           !     = 0, UNESCO (formulation of Jackett and McDougall (1994) and of McDougall (1987) )
                            !     = 1, linear: rho(T)   = rau0 * ( 1.028 - ralpha * T )
                            !     = 2, linear: rho(T,S) = rau0 * ( rbeta * S - ralpha * T )
-   ralpha =  2.e-4         !  thermal expension coefficient (neos= 1 or 2)
-   rbeta  =  0.001         !  saline  expension coefficient (neos= 2)
+   ralpha      =    2.e-4  !  thermal expension coefficient (neos= 1 or 2)
+   rbeta       =    0.001  !  saline  expension coefficient (neos= 2)
 /
Index: trunk/DOC/TexFiles/Namelist/namflg
===================================================================
--- trunk/DOC/TexFiles/Namelist/namflg	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namflg	(revision 1225)
@@ -1,8 +1,7 @@
 !-----------------------------------------------------------------------
-&namflg   !   algorithm flags (algorithm not control by CPP keys)
+&namflg        !   algorithm flags (algorithm not control by CPP keys)
 !-----------------------------------------------------------------------
-   ln_dynhpg_imp   =  .false. !  hydrostatic pressure gradient:
-   !                          !     = T : semi-implicit time scheme 
-   !                          !     = f : centered      time scheme
-   nn_dynhpg_rst   =  0       !  add dynhpg implicit variables in restart ot not (1/0)
+   ln_dynhpg_imp = .false. !  hydrostatic pressure gradient: semi-implicit time scheme  (T)
+                           !                                 centered      time scheme  (F)
+   nn_dynhpg_rst =  0      !  add dynhpg implicit variables in restart ot not (1/0)
 /
Index: trunk/DOC/TexFiles/Namelist/namflo
===================================================================
--- trunk/DOC/TexFiles/Namelist/namflo	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namflo	(revision 1225)
@@ -1,10 +1,10 @@
 !-----------------------------------------------------------------------
-&namflo    !   float parameters                                         ("key_float")
+&namflo       !   float parameters                                      ("key_float")
 !-----------------------------------------------------------------------
-    ln_rstflo = .false.          !  boolean term for float restart (true or false)
-    nwritefl  =      75          !  frequency of float output file 
-    nstockfl  =    5475          !  frequency of float restart file 
-    ln_argo   = .false.          !  Argo type floats (stay at the surface each 10 days)
-    ln_flork4 = .false.          !  = T trajectories computed with a 4th order Runge-Kutta
-                                 !  = F  (default)   computed with Blanke' scheme
+    ln_rstflo = .false.    !  float restart (T) or not (F)
+    nwritefl  =      75    !  frequency of writing in float output file 
+    nstockfl  =    5475    !  frequency of creation of the float restart file 
+    ln_argo   = .false.    !  Argo type floats (stay at the surface each 10 days)
+    ln_flork4 = .false.    !  trajectories computed with a 4th order Runge-Kutta (T)
+                           !  or computed with Blanke' scheme (F)
 /
Index: trunk/DOC/TexFiles/Namelist/namfwb
===================================================================
--- trunk/DOC/TexFiles/Namelist/namfwb	(revision 1224)
+++ 	(revision )
@@ -1,5 +1,0 @@
-!-----------------------------------------------------------------------
-&namfwb   !   freshwater budget correction
-!-----------------------------------------------------------------------
-   ln_fwb    = .true.      !  flag for freshwater budget correction (0 annual mean)
-/
Index: trunk/DOC/TexFiles/Namelist/namgap
===================================================================
--- trunk/DOC/TexFiles/Namelist/namgap	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namgap	(revision 1225)
@@ -1,6 +1,6 @@
 !-----------------------------------------------------------------------
-&namgap    !   level mean model-data gap                                ('key_diagap')
+&namgap       !   level mean model-data gap                             ('key_diagap')
 !-----------------------------------------------------------------------
-   ngap =  15                    !  time-step frequency of model-data gap computation
-   nprg =  10                    !  time-step frequency of gap print in model output
+   ngap       =  15        !  time-step frequency of model-data gap computation
+   nprg       =  10        !  time-step frequency of gap print in model output
 /
Index: trunk/DOC/TexFiles/Namelist/namkpp
===================================================================
--- trunk/DOC/TexFiles/Namelist/namkpp	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namkpp	(revision 1225)
@@ -1,16 +1,14 @@
 !-----------------------------------------------------------------------
-&namkpp   !   K-Profile Parameterization dependent vertical mixing      
-!-----------------------------------------------------------------------
-!  "key_zdfkpp"               !  activate the KPP physics
-!  "key_kppcustom"            !  KPP option 1
-!  "key_kpplktb"              !  KPP option 2    
-   ln_kpprimix  = .true.      !  shear instability mixing  (default T)
-   difmiw       =  1.0e-04    !  constant internal wave viscosity (m2/s)
-   difsiw       =  0.1e-04    !  constant internal wave diffusivity (m2/s)
-   Riinfty      =  0.8        !  local Richardson Number limit for shear instability
-   difri        =  0.0050     !  maximum shear mixing at Rig = 0    (m2/s)
-   bvsqcon      = -0.01e-07   !  Brunt-Vaisala squared (1/s**2) for maximum convection
-   difcon       =  1.         !  maximum mixing in interior convection (m2/s)
-   navb         =  0          !  horizontal averaged (=1) or not (=0) on avt and amv  
-   nave         =  1          !  constant (=0) or profile (=1) background on avt
+&namkpp        !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionnally:
+!                                                                         "key_kppcustom" or "key_kpplktb")
+!------------------------------------------------------------------------
+   ln_kpprimix = .true.    !  shear instability mixing 
+   difmiw      =  1.0e-04  !  constant internal wave viscosity [m2/s]
+   difsiw      =  0.1e-04  !  constant internal wave diffusivity [m2/s]
+   Riinfty     =  0.8      !  local Richardson Number limit for shear instability
+   difri       =  0.0050   !  maximum shear mixing at Rig = 0    [m2/s]
+   bvsqcon     = -0.01e-07 !  Brunt-Vaisala squared for maximum convection [1/s2] 
+   difcon      =  1.       !  maximum mixing in interior convection [m2/s]
+   navb        =  0        !  horizontal averaged (=1) or not (=0) on avt and amv
+   nave        =  1        !  constant (=0) or profile (=1) background on avt
 /
Index: trunk/DOC/TexFiles/Namelist/namlbc
===================================================================
--- trunk/DOC/TexFiles/Namelist/namlbc	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namlbc	(revision 1225)
@@ -1,6 +1,6 @@
 !-----------------------------------------------------------------------
-&namlbc   !   lateral momentum boundary condition
+&namlbc        !   lateral momentum boundary condition
 !-----------------------------------------------------------------------
-   shlat  =      2.        !      shlat = 0 : free slip
+   shlat       =    2.     !      shlat = 0 : free slip
                            !  0 < shlat < 2 : partial slip
                            !      shlat = 2 : no slip
Index: trunk/DOC/TexFiles/Namelist/namnpc
===================================================================
--- trunk/DOC/TexFiles/Namelist/namnpc	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namnpc	(revision 1225)
@@ -1,6 +1,6 @@
 !-----------------------------------------------------------------------
-&namnpc   !   non penetrative convective adjustment
+&namnpc        !   non penetrative convection
 !-----------------------------------------------------------------------
-   nnpc1  =      1            !  computation frequency    (time-step)
-   nnpc2  =    365            !  control print frequency  (time-step)
+   nnpc1       =    1      !  non penetrative convective scheme computation frequency
+   nnpc2       =  365      !  non penetrative convective scheme print frequency
 /
Index: trunk/DOC/TexFiles/Namelist/namobc
===================================================================
--- trunk/DOC/TexFiles/Namelist/namobc	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namobc	(revision 1225)
@@ -1,19 +1,21 @@
 !-----------------------------------------------------------------------
-&namobc   !   open boundaries parameters                            ("key_obc")
+&namobc        !   open boundaries parameters                           ("key_obc")
 !-----------------------------------------------------------------------
-    nobc_dta    =    0     !  = 0 the obc data are equal to the initial state
-                           !  = 1 the obc data are read in 'obc   .dta' files
-    rdpein      =    1.    !  ???
-    rdpwin      =    1.    !  ???
-    rdpnin      =   30.    !  ???
-    rdpsin      =    1.    !  ???
-    rdpeob      = 1500.    !  time relaxation (days) for the east  open boundary
-    rdpwob      =   15.    !    "        "           for the west  open boundary
-    rdpnob      =  150.    !    "        "           for the north open boundary
-    rdpsob      =   15.    !    "        "           for the south open boundary
-    zbsic1      =  140.e+6 !  barotropic stream function on first  isolated coastline
-    zbsic2      =    1.e+6 !    "                   "    on second isolated coastline
-    zbsic3      =    0.    !    "                   "    on thrid  isolated coastline
-    ln_obc_clim = .true.   !  climatological obc data files (default T)
-    ln_vol_cst  = .true.   !  total volume conserved
+    nobc_dta   =    1      !  = 0 the obc data are equal to the initial state
+                           !  = 1 the obc data are read in 'obc.dta' files
+    cffile     = 'annual'  !  set to annual if obc datafile hold 1 year of data
+                           !  set to monthly if obc datafile hold 1 month of data
+    rdpein     =    1.     !  ???
+    rdpwin     =    1.     !  ???
+    rdpnin     =    1.     !  ???
+    rdpsin     =    1.     !  ???
+    rdpeob     = 3000.     !  time relaxation (days) for the east  open boundary
+    rdpwob     =   15.     !    "        "             "     west         "
+    rdpnob     = 3000.     !    "        "             "     north        "
+    rdpsob     =   15.     !    "        "             "     south        "
+    zbsic1     =  140.e+6  !   barotropic stream function on first  isolated coastline
+    zbsic2     =    1.e+6  !    "                   "        second       "
+    zbsic3     =    0.     !    "                   "        thrid        "
+    ln_obc_clim= .false.   !  climatological obc data files (T) or not (F)
+    ln_vol_cst = .true.    !  impose the total volume conservation (T) or not (F)
 /
Index: trunk/DOC/TexFiles/Namelist/namptr
===================================================================
--- trunk/DOC/TexFiles/Namelist/namptr	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namptr	(revision 1225)
@@ -1,8 +1,8 @@
 !-----------------------------------------------------------------------
-&namptr   !   Poleward Transport Diagnostic
+&namptr       !   Poleward Transport Diagnostic
 !-----------------------------------------------------------------------
-   ln_diaptr = .false.           !  logical flag for Poleward transport computation
-   ln_subbas = .false.           !  logical flag for Atlantic/Pacific/Indian basins computation
-                                 !  need input basins mask file named "subbasins.nc"
-   nf_ptr    =  15               !  Frequency of computation
+   ln_diaptr  = .false.    !  Poleward heat and salt transport (T) or not (F)
+   ln_subbas  = .false.    !  Atlantic/Pacific/Indian basins computation (T) or not 
+                           !  (orca configuration only, need input basins mask file named "subbasins.nc"
+   nf_ptr     =  15        !  Frequency of ptr computation [time step]
 /
Index: trunk/DOC/TexFiles/Namelist/namqsr
===================================================================
--- trunk/DOC/TexFiles/Namelist/namqsr	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namqsr	(revision 1225)
@@ -1,8 +1,8 @@
 !-----------------------------------------------------------------------
-&namqsr   !   penetrative solar radiation
+&namqsr        !   penetrative solar radiation
 !-----------------------------------------------------------------------
-   ln_traqsr = .true.      !  penetrative solar radiation (T) or not (F)
-   rabs     =   0.58       !  fraction of qsr associated with xsi1
-   xsi1     =   0.35       !  first depth of extinction
-   xsi2     =   23.0       !  second depth of extinction
+   ln_traqsr   = .true.    !  penetrative solar radiation (T) or not (F)
+   rabs        =   0.58    !  fraction of qsr associated with xsi1
+   xsi1        =   0.35    !  first depth of extinction
+   xsi2        =   23.0    !  second depth of extinction
 /
Index: trunk/DOC/TexFiles/Namelist/namric
===================================================================
--- trunk/DOC/TexFiles/Namelist/namric	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namric	(revision 1225)
@@ -1,8 +1,7 @@
 !-----------------------------------------------------------------------
-&namric   richardson number dependent vertical diffusion               
+&namric        !   richardson number dependent vertical diffusion       ("key_zdfric" )
 !-----------------------------------------------------------------------
-!  "key_zdfric"               !  Activate Kz =function of Ri
-   avmri = 100.e-4            !  maximum value of the vertical viscosity
-   alp   =      5.            !  coefficient of the parameterization
-   nric  =       2            !  coefficient of the parameterization
+   avmri       = 100.e-4   !  maximum value of the vertical viscosity
+   alp         =   5.      !  coefficient of the parameterization
+   nric        =   2       !  coefficient of the parameterization
 /
Index: trunk/DOC/TexFiles/Namelist/namrun
===================================================================
--- trunk/DOC/TexFiles/Namelist/namrun	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namrun	(revision 1225)
@@ -1,20 +1,18 @@
 !-----------------------------------------------------------------------
-&namrun   !   parameters of the run
+&namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   no         =       0    !  job number
-   cexper     =  "ORCA2"   !  experience name for vairmer format
-   ln_rstart  = .false.    !  boolean term for restart (true or false)
-   nrstdt     =       0    !  restart control = 0 restart, do not control nit000 in the restart file.
-                           !                  = 1 restart, control nit000 in the restart file. Do not
-                           !                      use the date in the restart file (use ndate0 in namelist)
-                           !                  = 2 restart, control nit000 in the restart file, use the date
-                           !                      in the restart file. ndate0 in the namelist is ignored.
-   nit000     =       1    !  number of the first time step
-   nitend     =    5475    !  number of the first time step
-   ndate0     =  010101    !  initial calendar date aammjj
-   nleapy     =       0    !  Leap year calendar (0/1)
-   ninist     =       0    !  initial state output flag (0/1)
-   nstock     =    5475    !  number of the first time step
-   nwrite     =    5475    !  frequency of OUTPUT file
-   nrunoff    =       2    !  = 0 no, 1 runoff, 2 runoff+river mouth ups adv
+   no          =       0   !  job number
+   cexper      =  "ORCA2"  !  experience name 
+   ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
+   nrstdt      =       0   !  restart control = 0 nit000 is not compared to the restart file value
+                           !                  = 1 use ndate0 in namelist (not the value in the restart file)
+                           !                  = 2 calendar parameters read in the restart file
+   nit000      =       1   !  first time step
+   nitend      =    5475   !  last  time step
+   ndate0      =  010101   !  initial calendar date yymmdd (used if nrstdt=1)
+   nleapy      =       0   !  Leap year calendar (1) or not (0)
+   ninist      =       0   !  output the initial state (1) or not (0)
+   nstock      =    5475   !  frequency of creation of a restart file
+   nwrite      =    5475   !  frequency of write in the output file 
+   ln_dimgnnn  = .false.   !  DIMG file format: 1 file for all processors (F) or by processor (T)
 /
Index: trunk/DOC/TexFiles/Namelist/namsbc
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namsbc	(revision 1225)
@@ -1,23 +1,23 @@
 !-----------------------------------------------------------------------
-&namsbc       Surface Boundary Condition (surface module)
+&namsbc        !   Surface Boundary Condition (surface module)
 !-----------------------------------------------------------------------
-   nn_fsbc     = 5         ! frequency of surface boundary condition computation 
-                           ! (also the frequency of sea-ice model call)
-   ln_ana      = .false.   ! analytical formulation (fill namsbc_ana )
-   ln_flx      = .false.   ! flux       formulation (fill namsbc_flx ) 
-   ln_blk_clio = .true.    ! CLIO bulk  formulation (fill namsbc_core) 
-   ln_blk_core = .false.   ! CORE bulk  formulation (fill namsbc_clio)
-   ln_cpl      = .false.   ! coupled    formulation (fill namsbc_cpl ) 
-   nn_ice      = 2         ! ice areas : =0 no ice in the domain
-                           !             =1 specify observed ice-cover
-                           !             =2 use an ice-model            ("key_lim3" or "key_lim2)
-   nn_ico_cpl  = 0         ! ice-ocean stress : =0 LIM-3 old case 
-                           !                    =1 stresses computed using now ocean velocity
-                           !                    =2 combination of 0 and 1 cases
-   ln_dm2dc    = .false.   ! Daily mean converted into Diurnal Cycle for short wave (qsr)
-   ln_rnf      = .false.   ! river runoffs (fill namsbc_rnf)
-   ln_ssr      = .false.   ! Sea Surface Restoring on T and/or S (fill namsbc_ssr)
-   nn_fwb      = 0         ! FreshWater Budget : =0 no control                             
-                           !                     =1 annual global mean set to zero
-                           !                     =2 global mean instantaneously set to zero
+   nn_fsbc     = 5         !  frequency of surface boundary condition computation 
+                           !               (= the frequency of sea-ice model call)
+   ln_ana      = .false.   !  analytical formulation (T => fill namsbc_ana ) 
+   ln_flx      = .false.   !  flux formulation       (T => fill namsbc_flx )
+   ln_blk_clio = .true.    !  CLIO bulk formulation  (T => fill namsbc_clio) 
+   ln_blk_core = .false.   !  CORE bulk formulation  (T => fill namsbc_core) 
+   ln_cpl      = .false.   !  Coupled formulation    (T => fill namsbc_cpl )
+   nn_ice      = 2         !  =0 no ice boundary condition   ,
+                           !  =1 use observed ice-cover      ,
+                           !  =2 ice-model used                             ("key_lim3" or "key_lim2)
+   nn_ico_cpl  = 0         !  ice-ocean coupling : =0 each nn_fsbc 
+                           !                       =1 stress recomputed each ocean time step ("key_lim3")
+                           !                       =2 combination of 0 and 1 cases           ("key_lim3")
+   ln_dm2dc    = .false.   !  daily mean to diurnal cycle short wave (qsr)
+   ln_rnf      = .true.    !  runoffs (T => fill namsbc_rnf)
+   ln_ssr      = .true.    !  Sea Surface Restoring on T and/or S (T => fill namsbc_ssr)
+   nn_fwb      = 0         !  FreshWater Budget: =0 unchecked                              , 
+                           !                     =1 global mean of e-p-r set to zero at each nn_fsbc time step   ,
+                           !                     =2 annual global mean of e-p-r set to zero
 /
Index: trunk/DOC/TexFiles/Namelist/namsbc_alb
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_alb	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namsbc_alb	(revision 1225)
@@ -1,9 +1,9 @@
 !-----------------------------------------------------------------------
-&namalb                     albedo parameters
+&namalb        !   albedo parameters
 !-----------------------------------------------------------------------
-   cgren    =      0.06    ! correction of the snow or ice albedo to take into account
-   albice   =      0.5     ! albedo of melting ice in the arctic and antarctic
-   alphd    =      0.80    ! coefficients for linear interpolation used to compute
-   alphc    =      0.65    ! the albedo between two extremes values (Pyane, 1972)
-   alphdi   =      0.72    ! 
+   cgren       =    0.06   !  correction of the snow or ice albedo to take into account the
+   albice      =    0.5    !  albedo of melting ice in the arctic and antarctic
+   alphd       =    0.80   !  coefficients for linear interpolation used to
+   alphc       =    0.65   !  compute albedo between two extremes values 
+   alphdi      =    0.72   !  (Pyane, 1972)
 /
Index: trunk/DOC/TexFiles/Namelist/namsbc_ana
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_ana	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namsbc_ana	(revision 1225)
@@ -1,10 +1,10 @@
 !-----------------------------------------------------------------------
-&namsbc_ana         analytical surface boundary condition
+&namsbc_ana    !   analytical surface boundary condition
 !-----------------------------------------------------------------------
-   nn_tau000  =   0        ! gently increase the stress over the first ntau_rst time-steps
-   rn_utau0   =   0.5      ! uniform value for the i-stress
-   rn_vtau0   =   0.e0     ! uniform value for the j-stress
-   rn_q0      =   0.e0     ! uniform value for the total heat flux
-   rn_qsr0    =   0.e0     ! uniform value for the solar radiation
-   rn_emp0    =   0.e0     ! uniform value for the freswater budget (E-P)
+   nn_tau000   =   0       !  gently increase the stress over the first ntau_rst time-steps
+   rn_utau0    =   0.5     !  uniform value for the i-stress
+   rn_vtau0    =   0.e0    !  uniform value for the j-stress
+   rn_q0       =   0.e0    !  uniform value for the total heat flux
+   rn_qsr0     =   0.e0    !  uniform value for the solar radiation
+   rn_emp0     =   0.e0    !  uniform value for the freswater budget (E-P)
 /
Index: trunk/DOC/TexFiles/Namelist/namsbc_clio
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_clio	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namsbc_clio	(revision 1225)
@@ -2,15 +2,14 @@
 &namsbc_clio              CLIO bulk formulea
 !-----------------------------------------------------------------------
-   cn_dir       = './'     ! directory in which the model is executed
+!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !    name    !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_utau     =    'taux_1m'       ,       -1.         , 'sozotaux' ,    .true.      , .true.  ,   'yearly'    
+   sn_vtau     =    'tauy_1m'       ,       -1.         , 'sometauy' ,    .true.      , .true.  ,   'yearly'    
+   sn_wndm     =    'flx'           ,       -1.         , 'socliowi' ,    .true.      , .true.  ,   'yearly'      
+   sn_tair     =    'flx'           ,       -1.         , 'socliot2' ,    .true.      , .true.  ,   'yearly'     
+   sn_humi     =    'flx'           ,       -1.         , 'socliohu' ,    .true.      , .true.  ,   'yearly'    
+   sn_ccov     =    'flx'           ,       -1.         , 'socliocl' ,    .false.     , .true.  ,   'yearly'      
+   sn_prec     =    'flx'           ,       -1.         , 'socliopl' ,    .false.     , .true.  ,   'yearly'       
 !
-!  THE ORDER OF THE FILES MATTER:
-!               !   file name        ! frequency (hours) ! variable   ! time interpolation !  clim  ! starting !
-!               !                    !   (if <0  months) !   name     !    (logical)       !  (0/1) !  record  !
-   sn_utau      =    'taux_1m'       ,      -12.         , 'sozotaux' ,     .false.        ,    1   ,    0    
-   sn_vtau      =    'tauy_1m'       ,      -12.         , 'sometauy' ,     .false.        ,    1   ,    0    
-   sn_wndm      =    'flx'           ,      -12.         , 'socliowi' ,     .false.        ,    1   ,    0      
-   sn_tair      =    'flx'           ,      -12.         , 'socliot1' ,     .false.        ,    1   ,    0     
-   sn_humi      =    'flx'           ,      -12.         , 'socliohu' ,     .false.        ,    1   ,    0    
-   sn_ccov      =    'flx'           ,      -12.         , 'socliocl' ,     .false.        ,    1   ,    0      
-   sn_prec      =    'flx'           ,      -12.         , 'socliopl' ,     .false.        ,    1   ,    0       
+   cn_dir      = './'      !  root directory for the location of the bulk files are
 /
Index: trunk/DOC/TexFiles/Namelist/namsbc_core
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_core	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namsbc_core	(revision 1225)
@@ -1,19 +1,18 @@
 !-----------------------------------------------------------------------
-&namsbc_core               CORE bulk formulea
+&namsbc_core   !   namsbc_core  CORE bulk formulea
 !-----------------------------------------------------------------------
-   cn_dir       = './'     ! directory in which the model is executed
-   ln_2m        = .false.  ! logical flag to use air temp. and hum referenced at 2m instead 10m
-   alpha_precip = 1.       ! multiplication factor for precipitation (total & snow)
+!              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_wndi     =    'u10'           ,       24.         , 'U_10_MOD' ,    .false.     , .true.  ,   'yearly'    
+   sn_wndj     =    'v10'           ,       24.         , 'V_10_MOD' ,    .false.     , .true.  ,   'yearly'    
+   sn_qsr      =    'rad'           ,       24.         , 'SWDN_MOD' ,    .false.     , .true.  ,   'yearly'      
+   sn_qlw      =    'rad'           ,       24.         , 'LWDN_MOD' ,    .false.     , .true.  ,   'yearly'      
+   sn_tair     =    't10'           ,       24.         , 'T_10_MOD' ,    .false.     , .true.  ,   'yearly'     
+   sn_humi     =    'q10'           ,       24.         , 'Q_10_MOD' ,    .false.     , .true.  ,   'yearly'    
+   sn_prec     =    'precip'        ,       -1.         , 'RAIN'     ,    .false.     , .true.  ,   'yearly'      
+   sn_snow     =    'precip'        ,       -1.         , 'SNOW'     ,    .false.     , .true.  ,   'yearly'       
 !
-!  THE ORDER OF THE FILES MATTER:
-!               !   file name        ! frequency (hours) ! variable   ! time interpolation !  clim  ! starting !
-!               !                    !   (if <0  months) !   name     !    (logical)       !  (0/1) !  record  !
-   sn_wndi      =    'u10'           ,       24.         , 'U_10_MOD' ,     .false.        ,    1   ,    0    
-   sn_wndj      =    'v10'           ,       24.         , 'V_10_MOD' ,     .false.        ,    1   ,    0    
-   sn_qsr       =    'rad'           ,       24.         , 'SWDN_MOD' ,     .false.        ,    1   ,    0      
-   sn_qlw       =    'rad'           ,       24.         , 'LWDN_MOD' ,     .false.        ,    1   ,    0      
-   sn_tair      =    't10'           ,       24.         , 'T_10_MOD' ,     .false.        ,    1   ,    0     
-   sn_humi      =    'q10'           ,       24.         , 'Q_10_MOD' ,     .false.        ,    1   ,    0    
-   sn_prec      =    'precip'        ,      -12.         , 'RAIN'     ,     .false.        ,    1   ,    0      
-   sn_snow      =    'precip'        ,      -12.         , 'SNOW'     ,     .false.        ,    1   ,    0       
+   cn_dir      = './'      !  root directory for the location of the bulk files
+   ln_2m       = .false.   !  air temperature and humidity referenced at 2m (T) instead 10m (F)
+   alpha_precip= 1.        !  multiplicative factor for precipitation (total & snow)
 /
Index: trunk/DOC/TexFiles/Namelist/namsbc_cpl
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_cpl	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namsbc_cpl	(revision 1225)
@@ -1,4 +1,24 @@
 !-----------------------------------------------------------------------
-&namsbc_cpl           coupled ocean/atmosphere model                    
+&namsbc_cpl    !   coupled ocean/atmosphere model                        ("key_coupled")
 !-----------------------------------------------------------------------
+! SEND
+cn_snd_temperature= 'weighted oce and ice'  ! 'oce only' 'weighted oce and ice' 'mixed oce-ice'
+cn_snd_albedo     = 'weighted ice'          ! 'none' 'weighted ice' 'mixed oce-ice'
+cn_snd_thickness  = 'none'                  ! 'none' 'weighted ice and snow'
+cn_snd_crt_nature = 'none'                  ! 'none' 'oce only' 'weighted oce and ice' 'mixed oce-ice'
+cn_snd_crt_refere = 'spherical'             ! 'spherical' 'cartesian'
+cn_snd_crt_orient = 'eastward-northward'    ! 'eastward-northward' or 'local grid'
+cn_snd_crt_grid   = 'T'                     ! 'T'
+! RECEIVE
+cn_rcv_w10m       = 'coupled'               ! 'none' 'coupled'
+cn_rcv_tau_nature = 'oce only'              ! 'oce only' 'oce and ice' 'mixed oce-ice'
+cn_rcv_tau_refere = 'cartesian'             ! 'spherical' 'cartesian'
+cn_rcv_tau_orient = 'eastward-northward'    ! 'eastward-northward' or 'local grid'
+cn_rcv_tau_grid   = 'U,V'                   ! 'T' 'U,V' 'U,V,F' 'U,V,I' 'T,F' 'T,I' 'T,U,V'
+cn_rcv_dqnsdt     = 'coupled'               ! 'none' 'coupled'
+cn_rcv_qsr        = 'oce and ice'           ! 'conservative' 'oce and ice' 'mixed oce-ice'
+cn_rcv_qns        = 'oce and ice'           ! 'conservative' 'oce and ice' 'mixed oce-ice'
+cn_rcv_emp        = 'conservative'          ! 'conservative' 'oce and ice' 'mixed oce-ice'
+cn_rcv_rnf        = 'coupled'               ! 'coupled' 'climato' 'mixed'
+cn_rcv_cal        = 'coupled'               ! 'none' 'coupled'
 /
Index: trunk/DOC/TexFiles/Namelist/namsbc_flx
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_flx	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namsbc_flx	(revision 1225)
@@ -1,14 +1,13 @@
 !-----------------------------------------------------------------------
-&namsbc_flx      surface boundary condition : flux formulation      
+&namsbc_flx    !   surface boundary condition : flux formulation
 !-----------------------------------------------------------------------
-   cn_dir       = './'     ! directory in which the model is executed
+!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !    name    !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_utau     =      'utau'        ,        24.        ,    'utau'  ,     .false.    , .false. ,   'yearly'
+   sn_vtau     =      'vtau'        ,        24.        ,    'vtau'  ,     .false.    , .false. ,   'yearly'
+   sn_qtot     =      'qtot'        ,        24.        ,    'qtot'  ,     .false.    , .false. ,   'yearly'
+   sn_qsr      =      'qsr'         ,        24.        ,    'qsr'   ,     .false.    , .false. ,   'yearly'
+   sn_emp      =      'emp'         ,        24.        ,    'emp'   ,     .false.    , .false. ,   'yearly'
 !
-!  THE ORDER OF THE FILES MATTER:
-!               !      file name     ! frequency (hours) ! variable ! time interpolation !  clim  ! starting !
-!               !                    !   (if <0  months) !   name   !     (logical)      !  (0/1) !  record  !
-   sn_utau      =      'utau.nc'     ,        24.        ,  'utau'  ,      .false.       ,    0   ,     0
-   sn_vtau      =      'vtau.nc'     ,        24.        ,  'vtau'  ,      .false.       ,    0   ,     0
-   sn_qtot      =      'qtot.nc'     ,        24.        ,  'qtot'  ,      .false.       ,    0   ,     0
-   sn_qsr       =      'qsr.nc'      ,        24.        ,  'qsr'   ,      .false.       ,    0   ,     0
-   sn_emp       =      'emp.nc'      ,        24.        ,  'emp'   ,      .false.       ,    0   ,     0
+   cn_dir      = './'      !  root directory for the location of the flux files
 /      
Index: trunk/DOC/TexFiles/Namelist/namsbc_qsr
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_qsr	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namsbc_qsr	(revision 1225)
@@ -1,8 +1,8 @@
 !-----------------------------------------------------------------------
-&namqsr                penetrative solar radiation
+&namqsr        !   penetrative solar radiation
 !-----------------------------------------------------------------------
-   ln_traqsr = .true.      ! penetrative solar radiation (T) or not (F)
-   rabs     =   0.58       ! fraction of qsr associated with xsi1
-   xsi1     =   0.35       ! first depth of extinction
-   xsi2     =   23.0       ! second depth of extinction
+   ln_traqsr   = .true.    !  penetrative solar radiation (T) or not (F)
+   rabs        =   0.58    !  fraction of qsr associated with xsi1
+   xsi1        =   0.35    !  first depth of extinction
+   xsi2        =   23.0    !  second depth of extinction
 /
Index: trunk/DOC/TexFiles/Namelist/namsbc_rnf
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_rnf	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namsbc_rnf	(revision 1225)
@@ -1,14 +1,14 @@
 !-----------------------------------------------------------------------
-&namsbc_rnf        runoffs namelist surface boundary condition
+&namsbc_rnf    !   runoffs namelist surface boundary condition
 !-----------------------------------------------------------------------
-   cn_dir       = './'     ! directory in which the model is executed
-   nn_runoff  = 2          ! =0 no runoffs, 1 runoffs, 2 runoffs+river mouth ups adv
-   rn_hrnf    = 0.e0       ! runoffs, depth over which enhanced vertical mixing is used
-   rn_avt_rnf = 1.e-3      ! runoffs, value of the additional vertical mixing coef. [m2/s]
-!
-!  THE ORDER OF THE FILES MATTER:
 !               !   file name        ! frequency (hours) ! variable   ! time interpolation !  clim  ! starting !
 !               !                    !   (if <0  months) !   name     !     (logical)      !  (0/1) !  record  !
-   sn_rnf     = 'runoff_1m_nomask.nc' ,      -12.        ,  'sorunoff',      .true.        ,    1   ,    0     
-   sn_cnf     = 'runoff_1m_nomask.nc' ,        0.        ,  'socoefr' ,      .false.       ,    1   ,    0              
+   sn_rnf       = 'runoff_1m_nomask' ,        -1.        , 'sorunoff' ,      .true.        ,    1   ,    0     
+   sn_cnf       = 'runoff_1m_nomask' ,         0.        , 'socoefr'  ,      .false.       ,    1   ,    0              
+!
+   cn_dir       = './'       ! directory in which the model is executed
+   ln_rnf_emp   =   .false. !  runoffs included into precipitation field (T) or into a file (F)
+   ln_rnf_mouth =   .false. !  specific treatment at rivers mouths
+   rn_hrnf      =   0.e0    !  depth over which enhanced vertical mixing is used
+   rn_avt_rnf   =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
 /
Index: trunk/DOC/TexFiles/Namelist/namsbc_ssr
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsbc_ssr	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namsbc_ssr	(revision 1225)
@@ -1,17 +1,14 @@
 !-----------------------------------------------------------------------
-&namsbc_ssr     surface boundary condition : sea surface restoring
+&namsbc_ssr    !   surface boundary condition : sea surface restoring
 !-----------------------------------------------------------------------
-   cn_dir       = './'     ! directory in which the model is executed
-   nn_sstr      = 0        ! =0/1   add a retroaction term in the surface heat flux
-   nn_sssr      = 0        ! =O/1/2 add a damping term in the surface freshwater flux
-                           !        (=1, salt flux, concentration/dillution emps only)
-                           !        (=2, volume flux, both emp and emps are updated) 
-   dqdt         = -40.     ! magnitude of the retroaction on temperature [W/m2/K]
-   deds         =  27.7    ! magnitude of the damping on salinity [mm/day]
-!      
-!  THE ORDER OF THE FILES MATTER:
-!               !   file name        ! frequency (hours) ! variable   ! time interpolation !  clim  ! starting !
-!               !                    !   (if <0  months) !   name     !     (logical)      !  (0/1) !  record  !
-   sn_sst       =  'sst_data.nc'     ,         24.       ,  'sst'     ,      .false.       ,    0   ,    0
-   sn_sss       =  'sss_data.nc'     ,        -12.       ,  'sss'     ,      .true.        ,    0   ,    0
+!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_sst      =    'sst_data'     ,        24.        ,  'sst'     ,     .false.    , .false. ,   'yearly'
+   sn_sss      =    'sss_data'     ,        -1.        ,  'sss'     ,     .true.     , .true.  ,   'yearly'
+!   
+   cn_dir      = './'      !  root directory for the location of the runoff files
+   nn_sstr     =     0     !  add a retroaction term in the surface heat       flux (=1) or not (=0)
+   nn_sssr     =     1     !  add a damping     term in the surface freshwater flux (=1) or not (=0)
+   dqdt        =   -40.    !  magnitude of the retroaction on temperature   [W/m2/K]
+   deds        =   -27.7   !  magnitude of the damping on salinity   [mm/day/psu]
 /      
Index: trunk/DOC/TexFiles/Namelist/namsol
===================================================================
--- trunk/DOC/TexFiles/Namelist/namsol	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namsol	(revision 1225)
@@ -1,19 +1,18 @@
 !-----------------------------------------------------------------------
-&namsol   !   elliptic solver / island / free surface 
+&namsol        !   elliptic solver / island / free surface 
 !-----------------------------------------------------------------------
-   nsolv     =      1         !  type of elliptic solver  
-   !                          !     =1 preconditioned conjugate gradient (pcg)
-                              !     =2 successive-over-relaxation (sor)
-                              !     =3 FETI (fet) (+ "key_feti")
-                              !     =4 sor with extra outer halo
-   nsol_arp  =      0         !  absolute/relative (0/1) precision convergence test
-   nmin      =    300         !  minimum of iterations for the SOR solver
-   nmax      =    800         !  maximum of iterations for the SOR solver
-   nmod      =     10         !  frequency of test for the SOR solver
-   eps       =  1.E-6         !  absolute precision of the solver
-   resmax    = 1.E-10         !  absolute precision for the SOR solver
-   sor       =   1.92         !  optimal coefficient for SOR solver
-   epsisl    = 1.e-10         !  absolute precision on stream function solver
-   nmisl     =   4000         !  maximum pcg iterations for island ("key_islands")
-   rnu       =     1.         !  strength of the additional force ("key_dynspg_flt)
+   nsolv       =      1    !  elliptic solver: =1 preconditioned conjugate gradient (pcg)
+                           !                   =2 successive-over-relaxation (sor)
+                           !                   =3 FETI (fet)                               ("key_feti")
+                           !                   =4 sor with extra outer halo
+   nsol_arp    =      0    !  absolute/relative (0/1) precision convergence test
+   nmin        =    300    !  minimum of iterations for the SOR solver
+   nmax        =    800    !  maximum of iterations for the SOR solver
+   nmod        =     10    !  frequency of test for the SOR solver
+   eps         =  1.e-6    !  absolute precision of the solver
+   resmax      =  1.e-10   !  absolute precision for the SOR solver
+   sor         =  1.92     !  optimal coefficient for SOR solver (to be adjusted with the domain)
+   epsisl      =  1.e-10   !  absolute precision on stream function solver
+   nmisl       =   4000    !  maximum pcg iterations for island                            ("key_islands")
+   rnu         =      1.   !  strength of the additional force used in filtered free surface
 /
Index: trunk/DOC/TexFiles/Namelist/namspr
===================================================================
--- trunk/DOC/TexFiles/Namelist/namspr	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namspr	(revision 1225)
@@ -1,7 +1,7 @@
 !-----------------------------------------------------------------------
-&namspr  !   surface pressure diagnostic
+&namspr       !   surface pressure diagnostic
 !-----------------------------------------------------------------------
-   nmaxp   =   1000              !  maximum of iterations for the solver
-   epsp    =  1.e-3              !  absolute precision of the solver
-   niterp  =    400              !  number of iteration done by the solver
+   nmaxp      =   1000     !  maximum of iterations for the solver
+   epsp       =  1.e-3     !  absolute precision of the solver
+   niterp     =    400     !  number of iteration done by the solver
 /
Index: trunk/DOC/TexFiles/Namelist/namtdp
===================================================================
--- trunk/DOC/TexFiles/Namelist/namtdp	(revision 1225)
+++ trunk/DOC/TexFiles/Namelist/namtdp	(revision 1225)
@@ -0,0 +1,15 @@
+!-----------------------------------------------------------------------
+&namtdp        !   tracer newtonian damping                             ('key_tradmp')
+!-----------------------------------------------------------------------
+   ndmp        =   -1      !  type of damping in temperature and salinity 
+                           !     ='latitude', damping poleward of 'ndmp' degrees and function 
+                           !                  of the distance-to-coast. Red and Med Seas as ndmp=-1
+                           !     =-1 damping only in Med and Red Seas
+   ndmpf       =    1      !  create a damping.coeff NetCDF file (=1) or not (=0)
+   nmldmp      =    1      !  type of damping: =0 damping throughout the water column
+                           !                   =1 no damping in the mixed layer defined by avt >5cm2/s )
+                           !                   =2 no damping in the mixed layer defined rho<rho(surf)+.01 )
+   sdmp        =   50.     !  surface time scale for internal damping (days)
+   bdmp        =  360.     !  bottom  time scale for internal damping (days)
+   hdmp        =  800.     !  depth of transition between sdmp and bdmp (meters)
+/
Index: trunk/DOC/TexFiles/Namelist/namtide
===================================================================
--- trunk/DOC/TexFiles/Namelist/namtide	(revision 1225)
+++ trunk/DOC/TexFiles/Namelist/namtide	(revision 1225)
@@ -0,0 +1,8 @@
+!-----------------------------------------------------------------------
+&namtide        ! tidal forcing at unstructured boundaries              
+!-----------------------------------------------------------------------
+    filtide      = 'bdytide_'           !  file name root of tidal forcing files
+    tide_cpt     = 'M2','S1'            !  names of tidal components used
+    tide_speed   = 28.984106, 15.000001 !  phase speeds of tidal components (deg/hour)
+    ln_tide_date = .false.              !  adjust tidal harmonics for start date of run
+/
Index: trunk/DOC/TexFiles/Namelist/namtke
===================================================================
--- trunk/DOC/TexFiles/Namelist/namtke	(revision 1225)
+++ trunk/DOC/TexFiles/Namelist/namtke	(revision 1225)
@@ -0,0 +1,34 @@
+!-----------------------------------------------------------------------
+&namtke        !   turbulent eddy kinetic dependent vertical diffusion  ("key_zdftke")
+!-----------------------------------------------------------------------
+   ln_rstke    = .false.   !  restart with tke from a run without tke (T) or not (F)
+   nn_itke     =  50       !  number of iterative loops if ln_rstke=T 
+   rn_ediff    =   0.1     !  coef. for vertical eddy coef. (avt=rn_ediff*mxl*sqrt(e) )
+   rn_ediss    =   0.7     !  coef. of the Kolmogoroff dissipation
+   rn_ebb      =   3.75    !  coef. of the surface input of tke
+   rn_efave    =   1.      !  boost of the tke diffusion ( avtke=rn_efave*avm )
+   rn_emin     =   1.e-6   !  minimum value of tke [m2/s2]
+   rn_emin0    =   1.e-4   !  surface minimum value of tke [m2/s2]
+   nn_mxl      =   2       !  mixing length: = 0 bounded by the distance to surface and bottom
+                           !                 = 1 bounded by the local vertical scale factor
+                           !                 = 2 first vertical derivative of mixing length bounded by 1
+                           !                 = 3 same criteria as case 2 but applied in a different way
+   nn_pdl      =   1       !  Prandtl number function of richarson number (=1, avt=pdl(Ri)*avm) or not (=0, avt=avm)
+   nn_avb      =   0       !  profile for constant background used on avt & avm (=1) or not (=0)
+   nn_ave      =   1       !  horizontal averaged on avt (=1) or not (=0) 
+   ln_mxl0     = .false.   !  mixing length scale surface value as function of wind stress (T) or not (F)
+   rn_lmin     =   0.4     !  interior buoyancy lenght scale minimum value
+   rn_lmin0    =   0.4     !  surface  buoyancy lenght scale minimum value
+   nn_etau     =   0       !  exponentially deceasing penetration of tke due to internal & intertial waves
+                           !        = 0 no penetration ( O(2 km) resolution)
+                           !        = 1 additional tke source 
+                           !        = 2 additional tke source applied only at the base of the mixed layer
+   nn_htau     =   2       !  type of exponential decrease of tke penetration
+                           !        = 0  constant 10 m length scale
+                           !        = 1  ???
+                           !        = 2  ???
+   rn_efr      =   0.05    !  fraction of surface tke value which penetrates inside the ocean
+   ln_lc       = .false.   !  Langmuir cell effect
+   rn_lc       =   0.15    !  coef. associated to Langmuir cells
+   nn_havtb    =   0       !  horizontal shape for avtb (=1) or not (=0)
+/
Index: trunk/DOC/TexFiles/Namelist/namtrd
===================================================================
--- trunk/DOC/TexFiles/Namelist/namtrd	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namtrd	(revision 1225)
@@ -1,11 +1,11 @@
 !-----------------------------------------------------------------------
-&namtrd    !   diagnostics on dynamics and/or tracer trends             ("key_trddyn" and/or "key_trdtra")
+&namtrd       !   diagnostics on dynamics and/or tracer trends             ("key_trddyn" and/or "key_trdtra")
 !                          or mixed-layer trends                        ('key_trdmld')
 !                          or barotropic vorticity                      ("key_trdvor")
 !-----------------------------------------------------------------------
-   ntrd  = 365                   !  time step frequency dynamics and tracers trends
-   nctls =   0                   !  control surface type in mixed-layer trends (0,1 or n<jpk)
-   ln_trdmld_restart = .false.   !  restart for ML diagnostics
-   ucf   =  1.                   !  unit conversion factor (=1 -> /seconds | =86400. -> /day)
-   ln_trdmld_instant = .false.   !  flag to diagnose trends of instantantaneous or mean ML T/S
+   ntrd       = 365        !  time step frequency dynamics and tracers trends
+   nctls      =   0        !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   ucf        =   1.       !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   ln_trdmld_restart = .false.  !  restart for ML diagnostics
+   ln_trdmld_instant = .false.  !  flag to diagnose trends of instantantaneous or mean ML T/S
 /
Index: trunk/DOC/TexFiles/Namelist/namzdf
===================================================================
--- trunk/DOC/TexFiles/Namelist/namzdf	(revision 1224)
+++ trunk/DOC/TexFiles/Namelist/namzdf	(revision 1225)
@@ -1,15 +1,12 @@
 !-----------------------------------------------------------------------
-&namzdf   !   vertical physics
+&namzdf        !   vertical physics
 !-----------------------------------------------------------------------
-   ln_zdfnpc = .false.        !  Non-Penetrative Convection          
-   avm0      = 1.2e-4         !  Kz on momemtum (m2/s)   
-   !                          !  (background Kz if not "key_zdfcst")
-   avt0      = 1.2e-5         !  Kz for tracers (m2/s) 
-   !                          !  (background Kz if not "key_zdfcst")
-   ln_zdfevd = .true.         !  enhanced vertical diffusion        
-   avevd     =   100.         !  Kz for enhanced diffusion scheme (m2/s)
-   n_evdm    =     0          !  enhanced mixing Kz apply on tracer (=0) 
-   !                          !      or on both tracer and momentum (=1)
-   ln_zdfexp =  .false.       !  =T/F  split explicit / implicit 
-   n_zdfexp  =     3          !  number of sub-timestep for ln_zdfexp=T
+   avm0        =   1.2e-4  !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
+   avt0        =   1.2e-5  !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
+   ln_zdfnpc   = .false.   !  convection: Non-Penetrative algorithm (T) or not (F)
+   ln_zdfevd   = .true.    !  convection: enhanced vertical diffusion (T) or not (F)    
+   avevd       = 100.      !  vertical coefficient for enhanced diffusion scheme [m2/s]
+   n_evdm      =   1       !  enhanced mixing apply on tracer (=0) or on tracer and momentum (=1)
+   ln_zdfexp   =  .false.  !  split explicit (T) or implicit (F) time stepping
+   n_zdfexp    =   3       !  number of sub-timestep for ln_zdfexp=T
 /
